return {
	{
		"williamboman/mason.nvim",
		dependencies = { "WhoIsSethDaniel/mason-tool-installer.nvim" },
		config = function()
			-- import mason
			local mason = require("mason")
			local mason_tool_installer = require("mason-tool-installer")

			-- enable mason and configure icons
			mason.setup({
				ui = {
					icons = {
						package_installed = "✓",
						package_pending = "➜",
						package_uninstalled = "✗",
					},
				},
			})

			mason_tool_installer.setup({
				ensure_installed = {
					"prettier", -- prettier formatter
					"stylua", -- lua formatter
					"isort", -- python formatter
					"black", -- python formatter
					"pylint", -- python linter
					"eslint_d", -- js linter
				},
			})
		end,
	},
	-- {"williamboman/mason-lspconfig.nvim",
	-- 	config = function()
	-- 	local mason_lspconfig = require("mason-lspconfig")
	-- 	mason_lspconfig.setup {
	-- 	 ensure_installed = { "grammarly", "ltex" },
	-- 	}
	-- 	end
	-- }
}
